Bug 254377 - devel/gitlist: update to 1.0.2
Summary: devel/gitlist: update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-03-18 11:12 UTC by Andre Rikkert de Koe - ARK-ICT
Modified: 2021-04-17 12:22 UTC (History)
1 user (show)

See Also:


Attachments
update created by following porters-handbook/port-upgrading.html (2.34 KB, patch)
2021-03-18 11:12 UTC, Andre Rikkert de Koe - ARK-ICT
no flags Details | Diff
update created by following porters-handbook/port-upgrading.html (2.35 KB, patch)
2021-03-18 20:04 UTC, Andre Rikkert de Koe - ARK-ICT
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Rikkert de Koe - ARK-ICT 2021-03-18 11:12:52 UTC
Created attachment 223386 [details]
update created by following porters-handbook/port-upgrading.html

## 
## testresults by patching current gitlist-1.0.1 with gitlist-1.0.2.diff
## 1) cat the test script
## 2) run the test script
##

root@web-int:~/newport/gitlist # cat testport 
#!/bin/sh
set -x
:
: apply the update
:
uname -a
cd /usr/ports/devel/gitlist
make deinstall
make clean
patch < /root/newport/gitlist/workdir/gitlist-1.0.2.diff
: 
: Testing with FreeBSD port tool
:
pkg which $(which port)
port test
:
: Testing according to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html
:
make stage
make stage-qa
make package
make install
make deinstall
make clean
chown testuser .
echo "id; make package" | su testuser
chown root .
make package
make clean
root@web-int:~/newport/gitlist # ./testport 
+ :
+ : apply the update
+ :
+ uname -a
FreeBSD web-int 12.2-RELEASE-p4 FreeBSD 12.2-RELEASE-p4 GENERIC  amd64
+ cd /usr/ports/devel/gitlist
+ make deinstall
===>  Deinstalling for gitlist
===>   gitlist not installed, skipping
+ make clean
===>  Cleaning for gitlist-1.0.1_1
+ patch
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: Makefile
|===================================================================
|--- Makefile	(revision 568736)
|+++ Makefile	(working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 2 with fuzz 1.
Hunk #2 succeeded at 15.
Hunk #3 succeeded at 44.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: distinfo
|===================================================================
|--- distinfo	(revision 568736)
|+++ distinfo	(working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/pkg-message.in
|===================================================================
|--- files/pkg-message.in	(revision 568736)
|+++ files/pkg-message.in	(working copy)
--------------------------
Patching file files/pkg-message.in using Plan A...
Hunk #1 succeeded at 6.
done
+ :
+ : Testing with FreeBSD port tool
+ :
+ which port
+ pkg which /usr/local/bin/port
/usr/local/bin/port was installed by package porttools-1.09
+ port test
===> Using ports tree /usr/ports
===> Validating port with portlint
looks fine.
===> flags: PREFIX=/tmp/gitlist-1.0.2 NO_DEPENDS=yes PKG_DBDIR=/tmp/pkg_db.5PHhFOZq PORTSDIR=/usr/ports --
===> Cleaning workspace before port test
===>  Cleaning for gitlist-1.0.2
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by gitlist-1.0.2 for building
===>  Extracting for gitlist-1.0.2
=> SHA256 Checksum OK for gitlist-1.0.2.tar.gz.
===>  Patching for gitlist-1.0.2
/bin/mkdir -p /usr/ports/devel/gitlist/work/gitlist/cache
cd /usr/ports/devel/gitlist/work/gitlist;  /usr/bin/sed -i.bak -e 's|/usr/bin/git|/usr/local/bin/git|g' config.ini-example;  /usr/bin/find . ! -type d | /usr/bin/sort | /usr/bin/sed -e "s,^\.,%%WWWDIR%%," > /usr/ports/devel/gitlist/work/plist;
echo "@dir(www,www,) %%WWWDIR%%/cache" >> /usr/ports/devel/gitlist/work/plist
===>  Configuring for gitlist-1.0.2
===>  Staging for gitlist-1.0.2
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
cd /usr/ports/devel/gitlist/work/gitlist;  IFS="$(printf '\n\t')";  for src in $( /usr/bin/find . ); do  dst="/usr/ports/devel/gitlist/work/stage/tmp/gitlist-1.0.2/www/gitlist${src#.}";  if test -d "$src"; then  /bin/mkdir -p "$dst";  else  install  -m 0644 "$src" "$dst";  fi  done
/bin/rm -f -r "/tmp/gitlist-1.0.2/www/gitlist/cache/views"
====> Compressing man pages (compress-man)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
===>  Building package for gitlist-1.0.2
===>  Installing for gitlist-1.0.2
===>  Checking if gitlist is already installed
===>   Registering installation for gitlist-1.0.2
Installing gitlist-1.0.2...
===> Creating groups.
Using existing group 'www'.
===> Creating users
Using existing user 'www'.
The port will install an htdocs dir /tmp/gitlist-1.0.2/www/gitlist.
Copy /tmp/gitlist-1.0.2/www/gitlist/config.ini-example
to /tmp/gitlist-1.0.2/www/gitlist/config.ini and
edit it to make it use your git repositories.
Then configure your webserver to use the htdocs directory.
Make sure mod_rewrite is enabled in your webserver,
else the url-rewrite will not work and result in a 404 when accessing a repository.

===>  Checking pkg info
gitlist-1.0.2
Name           : gitlist
Version        : 1.0.2
Installed on   : Thu Mar 18 12:02:58 2021 CET
Origin         : devel/gitlist
Architecture   : FreeBSD:12:amd64
Prefix         : /tmp/gitlist-1.0.2
Categories     : devel www
Licenses       : BSD3CLAUSE
Maintainer     : freebsd-ports@misc.ark-ict.nl
WWW            : http://gitlist.org
Comment        : Web based Git repository browser written in PHP
Annotations    :
	FreeBSD_version: 1202000
Flat size      : 15.2MiB
Description    :
GitList is a web based git repository browser written in PHP similar to GitHub

WWW: http://gitlist.org

===>  Checking shared library dependencies
===>  Deinstalling for gitlist
===>   Deinstalling gitlist-1.0.2
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	gitlist: 1.0.2

Number of packages to be removed: 1

The operation will free 15 MiB.
[1/1] Deinstalling gitlist-1.0.2...
[1/1] Deleting files for gitlist-1.0.2: 100%
===> Extra files and directories check
===> Cleaning up after port test
===>  Cleaning for gitlist-1.0.2
===>  Removing existing /tmp/gitlist-1.0.2 dir
===> Done.
+ :
+ : Testing according to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html
+ :
+ make stage
===>  License BSD3CLAUSE accepted by the user
===>   gitlist-1.0.2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by gitlist-1.0.2 for building
===>  Extracting for gitlist-1.0.2
=> SHA256 Checksum OK for gitlist-1.0.2.tar.gz.
===>  Patching for gitlist-1.0.2
/bin/mkdir -p /usr/ports/devel/gitlist/work/gitlist/cache
cd /usr/ports/devel/gitlist/work/gitlist;  /usr/bin/sed -i.bak -e 's|/usr/bin/git|/usr/local/bin/git|g' config.ini-example;  /usr/bin/find . ! -type d | /usr/bin/sort | /usr/bin/sed -e "s,^\.,%%WWWDIR%%," > /usr/ports/devel/gitlist/work/plist;
echo "@dir(www,www,) %%WWWDIR%%/cache" >> /usr/ports/devel/gitlist/work/plist
===>  Configuring for gitlist-1.0.2
===>  Staging for gitlist-1.0.2
===>   gitlist-1.0.2 depends on executable: git - found
===>   gitlist-1.0.2 depends on file: /usr/local/include/php/main/php.h - found
===>   gitlist-1.0.2 depends on file: /usr/local/lib/php/20190902-zts/ctype.so - found
===>   gitlist-1.0.2 depends on file: /usr/local/lib/php/20190902-zts/simplexml.so - found
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
cd /usr/ports/devel/gitlist/work/gitlist;  IFS="$(printf '\n\t')";  for src in $( /usr/bin/find . ); do  dst="/usr/ports/devel/gitlist/work/stage/usr/local/www/gitlist${src#.}";  if test -d "$src"; then  /bin/mkdir -p "$dst";  else  install  -m 0644 "$src" "$dst";  fi  done
/bin/rm -f -r "/usr/local/www/gitlist/cache/views"
====> Compressing man pages (compress-man)
+ make stage-qa
====> Running Q/A tests (stage-qa)
/!\ To run stage-qa automatically add DEVELOPER=yes to your environment /!\
+ make package
===>  Building package for gitlist-1.0.2
+ make install
===>  Installing for gitlist-1.0.2
===>  Checking if gitlist is already installed
===>   Registering installation for gitlist-1.0.2
Installing gitlist-1.0.2...
===> Creating groups.
Using existing group 'www'.
===> Creating users
Using existing user 'www'.
The port will install an htdocs dir /usr/local/www/gitlist.
Copy /usr/local/www/gitlist/config.ini-example
to /usr/local/www/gitlist/config.ini and
edit it to make it use your git repositories.
Then configure your webserver to use the htdocs directory.
Make sure mod_rewrite is enabled in your webserver,
else the url-rewrite will not work and result in a 404 when accessing a repository.

+ make deinstall
===>  Deinstalling for gitlist
===>   Deinstalling gitlist-1.0.2
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	gitlist: 1.0.2

Number of packages to be removed: 1

The operation will free 15 MiB.
[1/1] Deinstalling gitlist-1.0.2...
[1/1] Deleting files for gitlist-1.0.2: 100%
+ make clean
===>  Cleaning for gitlist-1.0.2
+ chown testuser .
+ echo 'id; make package'
+ su testuser
uid=1003(testuser) gid=1003(testuser) groups=1003(testuser)
===>  License BSD3CLAUSE accepted by the user
===>   gitlist-1.0.2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by gitlist-1.0.2 for building
===>  Extracting for gitlist-1.0.2
=> SHA256 Checksum OK for gitlist-1.0.2.tar.gz.
===>  Patching for gitlist-1.0.2
/bin/mkdir -p /usr/ports/devel/gitlist/work/gitlist/cache
cd /usr/ports/devel/gitlist/work/gitlist;  /usr/bin/sed -i.bak -e 's|/usr/bin/git|/usr/local/bin/git|g' config.ini-example;  /usr/bin/find . ! -type d | /usr/bin/sort | /usr/bin/sed -e "s,^\.,%%WWWDIR%%," > /usr/ports/devel/gitlist/work/plist;
echo "@dir(www,www,) %%WWWDIR%%/cache" >> /usr/ports/devel/gitlist/work/plist
===>  Configuring for gitlist-1.0.2
===>  Staging for gitlist-1.0.2
===>   gitlist-1.0.2 depends on executable: git - found
===>   gitlist-1.0.2 depends on file: /usr/local/include/php/main/php.h - found
===>   gitlist-1.0.2 depends on file: /usr/local/lib/php/20190902-zts/ctype.so - found
===>   gitlist-1.0.2 depends on file: /usr/local/lib/php/20190902-zts/simplexml.so - found
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
cd /usr/ports/devel/gitlist/work/gitlist;  IFS="$(printf '\n\t')";  for src in $( /usr/bin/find . ); do  dst="/usr/ports/devel/gitlist/work/stage/usr/local/www/gitlist${src#.}";  if test -d "$src"; then  /bin/mkdir -p "$dst";  else  install  -m 0644 "$src" "$dst";  fi  done
/bin/rm -f -r "/usr/local/www/gitlist/cache/views"
====> Compressing man pages (compress-man)
===>  Building package for gitlist-1.0.2
+ chown root .
+ make package
+ make clean
===>  Cleaning for gitlist-1.0.2
root@web-int:~/newport/gitlist #
Comment 1 Bugzilla Automation freebsd_committer 2021-03-18 11:12:52 UTC
Maintainer informed via mail
Comment 2 Automation User 2021-03-18 11:49:34 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/272580293
Comment 3 Andre Rikkert de Koe - ARK-ICT 2021-03-18 20:04:37 UTC
Created attachment 223405 [details]
update created by following porters-handbook/port-upgrading.html

Added php74-json as a dependency, needed when viewing Network Graph.
Whole port (upgraded) was tested with php74 on FreeBSD 12.2-RELEASE.
Comment 4 Fernando Apesteguía freebsd_committer 2021-04-16 17:25:19 UTC
(In reply to Andre Rikkert de Koe - ARK-ICT from comment #3)
Hi Andre,

Can I assume you are also the former maintainer (andre@ark-ict.nl)? If so, would you mind setting maintainer-approval flag in the attachment?

Thanks!
Comment 5 Andre Rikkert de Koe - ARK-ICT 2021-04-16 18:43:10 UTC
(In reply to Fernando Apesteguía from comment #4)

Yes, I am the same person.
Thanks for you help getting the port committed.

Andre Rikkert de Koe
Comment 6 commit-hook freebsd_committer 2021-04-17 12:16:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=29ecddac0f43cfef8e7756f58bd64b9177947d24

commit 29ecddac0f43cfef8e7756f58bd64b9177947d24
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-16 17:22:16 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-17 12:12:19 +0000

    devel/gitlist: update to 1.0.2

    Maintainer changes email address.

    PR:     254377
    Reported by:    freebsd-ports@andre.rikkertdekoe.nl (maintainer)

 devel/gitlist/Makefile             | 18 ++++++++----------
 devel/gitlist/distinfo             |  6 +++---
 devel/gitlist/files/pkg-message.in |  2 ++
 3 files changed, 13 insertions(+), 13 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-17 12:22:19 UTC
Committed,

Thanks!